Bug 995948 - [abrt] shotwell-0.13.1-1.fc18: g_wakeup_new: Process /usr/bin/shotwell was killed by signal 5 (SIGTRAP)
[abrt] shotwell-0.13.1-1.fc18: g_wakeup_new: Process /usr/bin/shotwell was ki...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:3e996dae4906f0b3c00123dbf05...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 00:36 EDT by c_g_w_g
Modified: 2014-02-05 17:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:16:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (82.71 KB, text/plain)
2013-08-12 00:36 EDT, c_g_w_g
no flags Details
File: cgroup (126 bytes, text/plain)
2013-08-12 00:36 EDT, c_g_w_g
no flags Details
File: core_backtrace (2.22 KB, text/plain)
2013-08-12 00:36 EDT, c_g_w_g
no flags Details
File: dso_list (10.66 KB, text/plain)
2013-08-12 00:36 EDT, c_g_w_g
no flags Details
File: environ (1.46 KB, text/plain)
2013-08-12 00:36 EDT, c_g_w_g
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-12 00:36 EDT, c_g_w_g
no flags Details
File: maps (74.85 KB, text/plain)
2013-08-12 00:37 EDT, c_g_w_g
no flags Details
File: open_fds (40.15 KB, text/plain)
2013-08-12 00:37 EDT, c_g_w_g
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2013-08-12 00:37 EDT, c_g_w_g
no flags Details
File: var_log_messages (233 bytes, text/plain)
2013-08-12 00:37 EDT, c_g_w_g
no flags Details
File: xsession_errors (124.83 KB, text/plain)
2013-08-12 00:37 EDT, c_g_w_g
no flags Details

  None (edit)
Description c_g_w_g 2013-08-12 00:36:36 EDT
Description of problem:
The problem occurred while importing photos from an SD card. Previous similar imports worked fine.

Version-Release number of selected component:
shotwell-0.13.1-1.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        shotwell
crash_function: g_wakeup_new
executable:     /usr/bin/shotwell
kernel:         3.9.9-201.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_wakeup_new at gwakeup.c:163
 #3 g_cancellable_make_pollfd at gcancellable.c:406
 #4 socket_source_new at gsocket.c:3277
 #5 g_socket_create_source at gsocket.c:3342
 #6 _g_socket_read_with_control_messages at gdbusprivate.c:200
 #7 _g_dbus_worker_do_read_unlocked at gdbusprivate.c:860
 #8 _g_dbus_worker_do_read_cb at gdbusprivate.c:809
 #9 g_simple_async_result_complete at gsimpleasyncresult.c:775
 #10 complete_in_idle_cb at gsimpleasyncresult.c:787
 #15 gdbus_shared_thread_func at gdbusprivate.c:277
Comment 1 c_g_w_g 2013-08-12 00:36:39 EDT
Created attachment 785535 [details]
File: backtrace
Comment 2 c_g_w_g 2013-08-12 00:36:42 EDT
Created attachment 785536 [details]
File: cgroup
Comment 3 c_g_w_g 2013-08-12 00:36:46 EDT
Created attachment 785537 [details]
File: core_backtrace
Comment 4 c_g_w_g 2013-08-12 00:36:50 EDT
Created attachment 785538 [details]
File: dso_list
Comment 5 c_g_w_g 2013-08-12 00:36:54 EDT
Created attachment 785539 [details]
File: environ
Comment 6 c_g_w_g 2013-08-12 00:36:58 EDT
Created attachment 785540 [details]
File: limits
Comment 7 c_g_w_g 2013-08-12 00:37:01 EDT
Created attachment 785541 [details]
File: maps
Comment 8 c_g_w_g 2013-08-12 00:37:04 EDT
Created attachment 785542 [details]
File: open_fds
Comment 9 c_g_w_g 2013-08-12 00:37:07 EDT
Created attachment 785543 [details]
File: proc_pid_status
Comment 10 c_g_w_g 2013-08-12 00:37:10 EDT
Created attachment 785544 [details]
File: var_log_messages
Comment 11 c_g_w_g 2013-08-12 00:37:14 EDT
Created attachment 785545 [details]
File: xsession_errors
Comment 12 Fedora End Of Life 2013-12-21 09:28:02 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 17:16:17 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.